Name:           linsmith
Version:        0.99.24
Release:        2%{?dist}
Summary:        A Smith charting program

Group:          Applications/Engineering
License:        GPLv2
URL:            http://jcoppens.com/soft/linsmith/index.en.php
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeprint22-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       electronics-menu
Requires:       tcl

%description
linSmith is a Smith Charting program.
It's main features are:
  * Definition of multiple load impedances
  * Addition of discrete and line components
  * A 'virtual' component switches from impedance
    to admittance to help explaining parallel components
  * The chart works in real impedances
  * Load and circuit configuration is stored separately,
    permitting several solutions without re-defining the other

%prep
%setup -q

%build
autoreconf -f -i
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-install --vendor fedora            \
    --dir=%{buildroot}/%{_datadir}/applications \
    --delete-original                           \
    --remove-category GTK                       \
    --remove-category GNOME                     \
    --add-category "Electronics"                \
    %{_builddir}/%{name}-%{version}/%{name}.desktop

# icon
cp -p linsmith_icon.xpm %{buildroot}/%{_datadir}/pixmaps/%{name}/

# man file
%{__mkdir} -p %{buildroot}/%{_datadir}/man/man1
cp -p doc/linsmith.1 %{buildroot}/%{_datadir}/man/man1

#examples
mv %{buildroot}/%{_datadir}/%{name} examples/

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS doc/manual.pdf
%doc examples/
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/man/man1/%{name}.1.gz


%changelog
* Fri Apr 19 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.99.24-2
- Use autoreconf

* Fri Mar 15 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.99.24-1
- Updated package to 0.99.24 upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.99.12-4
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.99.12-1
- new upstream release
- fixes segmentation fault during saving of log

* Wed Jan 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.99.11-4
- fixed vendor

* Wed Jan 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.99.11-3
- added vendor to skip build failure on EL-5

* Mon Dec 29 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.99.11-2
- spec file updated as suggested in the #478368c2

* Mon Dec 29 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.99.11-1
- Initial package
